<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">

<h:head>
    <title>Hangman Game</title>
</h:head>
<h:body>
    <h1>Hangman Game</h1>

    <h:form id="gameForm">
        <h:inputText id="gameInput" maxlength="1" minlength="1" value="#{hangManGameBean.inputValue}"
                     placeholder="Guess a letter">
            <f:ajax listener="#{hangManGameBean.listenerGameInput(hangManGameBean.inputValue)}"/>
        </h:inputText>
        <h:commandButton value="Guess the word">
            <f:ajax event="click"
                    update=":game-display"
                    render="gameForm"
                    listener="#{hangManGameBean.chooseActionGuess()}"
            />
        </h:commandButton>
        <h:commandButton value="Restart the Game" action="#{hangManGameBean.chooseActionRestart()}">
            <f:ajax event="click"
                    update=":game-display"
                    render="gameForm"
                    listener="#{hangManGameBean.chooseActionRestart()}"
            />
        </h:commandButton>

        <br/>
        <h3>Word to guess : #{hangManGameBean.reverseWordToDisplay}</h3>
        <br/>
        <br/>
        <h:outputText value="Congratulations" rendered="#{hangManGameBean.isGameFinished}"/>
        <br/>
        <h:outputText value="You have found the answer in #{hangManGameBean.nbAttempts} steps"
                      rendered="#{hangManGameBean.isGameFinished}"/>
        <br/>
        <h:graphicImage library="images" name="congrats.jpg" width="400" height="310"
                        rendered="#{hangManGameBean.isGameFinished}"/>
    </h:form>

</h:body>
</html>